/*
 * Copyright (C): Timo Fleisch
 *                2009 Berlin, Germany
 *                http://www.vrhome.de
 *                All Rights Reserved.
 *
 * THIS SOURCECODE IS PUBLISHED UNDER RESTRICTIONS.
 * No unauthorized copy or distribution allowed.
 * Please see website for detailed liscence information.
 * 
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace Tgex
{
    public class BoolCondition : ICondition
    {
        BoolProperty boolProperty;

        public BoolCondition(Property property)
        {
            boolProperty = (BoolProperty)property;
        }
        public BoolCondition()
        {
        }

        public void AddParameter(InstanceParameter par)
        {
            boolProperty = (BoolProperty)par.value;
        }

        public bool CheckCondition()
        {
            return (boolProperty.Value);
        }
    }
}
