/*
 * Copyright (C): Timo Fleisch
 *                2009 Berlin, Germany
 *                http://www.vrhome.de
 *                All Rights Reserved.
 *
 * THIS SOURCECODE IS PUBLISHED UNDER RESTRICTIONS.
 * No unauthorized copy or distribution allowed.
 * Please see website for detailed liscence information.
 * 
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace Tgex
{
    public class DisableModifierAction : IAction
    {
        Modifier modifier;

        protected String m_Name;
        /// <summary>
        /// Name of action
        /// </summary>
        public String Name
        {
            get { return m_Name; }
            set { m_Name = value; }
        }

        public DisableModifierAction(Modifier modifier)
        {
            this.modifier = modifier;
        }
        public DisableModifierAction()
        {
        }
        public void AddParameter(InstanceParameter par)
        {
            modifier = (Modifier)par.value;
        }
        public void Execute()
        {
            modifier.Active = false;
        }
    }
}
