﻿/*
 * Copyright (C): Timo Fleisch
 *                2009 Berlin, Germany
 *                http://www.vrhome.de
 *                All Rights Reserved.
 *
 * THIS SOURCECODE IS PUBLISHED UNDER RESTRICTIONS.
 * No unauthorized copy or distribution allowed.
 * Please see website for detailed liscence information.
 * 
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Tvrx
{
    public interface ICaptureCamera
    {
        void Initialize(CaptureCameraDesc cameraDesc);
        void StartCapture();
        void SetExposure(int value);
        void SetBrightness(int value);
        void SetGain(int value);
        void SetShutter(int value);

        int Width { get; set;  }
        int Height { get; set; }

        IntPtr GrabImage();
        void StopCapture();
        void CloseCamera();
    }
}
