﻿/*
 * Copyright (C): Timo Fleisch
 *                2009 Berlin, Germany
 *                http://www.vrhome.de
 *                All Rights Reserved.
 *
 * THIS SOURCECODE IS PUBLISHED UNDER RESTRICTIONS.
 * No unauthorized copy or distribution allowed.
 * Please see website for detailed liscence information.
 * 
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Tvrx
{
    public class TrackedMarkerDesc : TrackedDeviceDesc
    {
        protected int m_MarkerBodyId;
        /// <summary>
        /// Id of the marker body that is tracked by this device.
        /// </summary>
	    public int MarkerBodyId
	    {
		    get { return m_MarkerBodyId;}
		    set { m_MarkerBodyId = value;}
	    }
        protected int m_TCamId;
        /// <summary>
        /// Id of tcam device (camera) that is tracking.
        /// </summary>
        public int TCamId
        {
            get { return m_TCamId; }
            set { m_TCamId = value; }
        }
    }
}
