﻿/*
 * Copyright (C): Timo Fleisch
 *                2009 Berlin, Germany
 *                http://www.vrhome.de
 *                All Rights Reserved.
 *
 * THIS SOURCECODE IS PUBLISHED UNDER RESTRICTIONS.
 * No unauthorized copy or distribution allowed.
 * Please see website for detailed liscence information.
 * 
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace Tgex
{
    public class DisableModuleAction : IAction
    {
        Module module;

        protected String m_Name;
        /// <summary>
        /// Name of action
        /// </summary>
        public String Name
        {
            get { return m_Name; }
            set { m_Name = value; }
        }

        public DisableModuleAction(Module module)
        {
            this.module = module;
        }
        public DisableModuleAction()
        {
        }
        public void AddParameter(InstanceParameter par)
        {
            module = (Module)par.value;
        }
        public void Execute()
        {
            module.Active = false;
        }
    }
}
