﻿/*
 * Copyright (C): Timo Fleisch
 *                2009 Berlin, Germany
 *                http://www.vrhome.de
 *                All Rights Reserved.
 *
 * THIS SOURCECODE IS PUBLISHED UNDER RESTRICTIONS.
 * No unauthorized copy or distribution allowed.
 * Please see website for detailed liscence information.
 * 
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Tvrx
{
    public class TrackerProxyDesc
    {
        protected List<int> m_TranslationDeviceIds = new List<int>();
        /// <summary>
        /// List of tracking devices for translation value.
        /// </summary>
        public List<int> TranslationDeviceIds
        {
            get { return m_TranslationDeviceIds; }
            set { m_TranslationDeviceIds = value; }
        }
        protected List<int> m_RotationDeviceIds = new List<int>();
        /// <summary>
        /// List of tracking decives for rotation values.
        /// </summary>
        public List<int> RotationDeviceIds
        {
            get { return m_RotationDeviceIds; }
            set { m_RotationDeviceIds = value; }
        }
        protected int m_Id;
        /// <summary>
        /// Id of tracker proxy.
        /// </summary>
        public int Id
        {
            get { return m_Id; }
            set { m_Id = value; }
        }

    }
}
